目录

版本说明 - Wwise Unity Integration 2014.1.4

本次发布为 Wwise 2014.1.4 提供了 Wwise SDK 更新,并与 Unity 5 兼容。

兼容性:

  • Wwise SDK: 2014.1.4
  • Unity:Unity 4 Pro 或者 Unity 5(Personal 或 Pro)

已解决的问题:

  • WG-26780 已修复:如果机器上没有 Wwise 工程,这将不会导致在 Unity 控制台窗口出现报错。
  • WG-26837 已修复:在 AkBankManager 中修复了 SoundBank 引用计数,以防止过早卸载。

已知问题:

  • WG-25669:Wwise Picker 的 Auto Populate 在 Mac Editor 中无法使用。
  • WG-25733:无法使用 Windows 编辑器构建 iOS/Mac 游戏,反之亦然。

新功能:

  • 添加了对 Windows Phone 8.1 平台的支持(在构建设置中可以通过 Metro 平台访问)。
  • 现在完全与 Unity 5 兼容。Wwise Unity Integration 现在使用新的 Plugin Importer API 来激活插件。集成将不再使用 <UNITY_PROJECT_ROOT>/Assets/Plugins 文件夹。

重要迁移说明: 如果要将 Unity 4 项目升级为 Unity 5,建议您按照以下步骤操作:

  1. 确保您的项目有备份
  2. 在 Unity 5 中打开您的 Unity 4 项目。这将触发 Unity 升级助手。
  3. 一旦升级到 Unity 5 完成,就导入 2014.1.4 Unity 集成。
  4. 出现一个迁移窗口,点击“开始”
  5. 一旦迁移窗口关闭,就完成了迁移
  6. 现在可以开始使用 Unity 5 中的 Wwise Unity Integration 了!
Generated at Sat Aug 17 14:25:09 2019 for Wwise Unity Integration by  doxygen 1.6.3